<template>
  <form
    @submit.prevent="handlSignUp"
  >
    signUp
    <input
      name="phone"
      v-model="phone"
    />
    <input
      name="password"
      v-model="password"
    />

    <button>Submit</button>
  </form>
</template>

<script setup lang="ts">
  import { useUserAuth } from '~/composable/user/useUserAuth'

  const phone = ref('')
  const password = ref('')
  const {signUp} = useUserAuth()

  const handlSignUp = () => {
    signUp(phone, password)
  }
</script>